Get all invoices
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
invoice_view| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| internal_number |
Internal number to identify the invoice |
string | |
| company_id |
Foreign key to company, identifies the company of the invoice |
globally unique identifier | |
| company_code |
Company code of the invoice |
string | |
| company_name |
Company name of the invoice |
string | |
| company_email |
Company email of the invoice |
string | |
| company_phone |
Company phone of the invoice |
string | |
| date_create |
Invoice creation date in utc |
date | |
| memo |
Memo field for invoice |
string | |
| description |
Decription field for invoice |
string | |
| invoice_type |
Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“ |
string | |
| source_type |
Source of invoice, refers to the type of the object from which invoice is derived |
string | |
| source_id_in_table |
Key of the object from which the invoice is derived |
globally unique identifier | |
| total_lines |
Total amount of lines linked to the invoice |
integer | |
| total_amount |
Total value of items in lines linked to the invoice |
decimal number | |
| db_currency_id |
Key of db_currency entity, identifies the db_currency of the invoice |
globally unique identifier | |
| total_taxes |
Total taxes |
decimal number | |
| due_date |
The due date |
date | |
| source_db_table_name |
The name of db table |
string | |
| delivery_name |
The delivery name |
string | |
| delivery_street |
The street for delivery |
string | |
| delivery_city |
The city for delivery |
string | |
| delivery_zip |
The zip for delivery |
string | |
| delivery_db_country_name |
The country name for delivery |
string | |
| reference_back_office |
Reference data for back office |
string | |
| db_payment_method_id |
Payment method id |
globally unique identifier | |
| id2 |
id for internal |
integer | |
| customer_remarks |
Customer remarks |
string | |
| bill_to_party |
The bill to party |
string | |
| bill_to_contact_id |
Contact id for bill |
globally unique identifier | |
| contact_id |
Contact id of invoice |
globally unique identifier | |
| article_price_label_id |
Article price label id |
globally unique identifier | |
| db_language_id |
The language id |
globally unique identifier | |
| invoice_status_id |
The status id of invoice |
globally unique identifier | |
| invoice_status_name |
The status name of invoice |
string | |
| discount_group_id |
The id of discount group |
globally unique identifier | |
| discount |
Discount value |
decimal number | |
|
The email |
string | ||
| invoice_number |
Invoice number |
string | |
| bill_to_company_id |
Company id for bill |
globally unique identifier | |
| dateutc_confirmation |
The confirmation date (UTC) |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| invoice_details |
Details of invoice |
Collection of invoice_details_view | |
| db_payment_method_name |
Payment method name of the invoice |
string | |
| db_payment_method_pm |
Payment method pm of the invoice |
string |
Response Formats
application/json, text/json
{
"id": "e6a9ba07-3ccc-40e7-ad8b-7da788b929c8",
"internal_number": "sample string 2",
"company_id": "ed487f63-a070-481a-a46b-5f42bf3148a1",
"company_code": "sample string 4",
"company_name": "sample string 5",
"company_email": "sample string 6",
"company_phone": "sample string 7",
"date_create": "2026-11-03T06:14:04.1118669+00:00",
"memo": "sample string 9",
"description": "sample string 10",
"invoice_type": "sample string 11",
"source_type": "sample string 12",
"source_id_in_table": "eefb71ac-40c7-4bfb-af62-4b268331d2cd",
"total_lines": 14,
"total_amount": 15.0,
"db_currency_id": "9a36aa57-409f-443d-b723-8d2014acc3c5",
"total_taxes": 17.0,
"due_date": "2026-11-03T06:14:04.1118669+00:00",
"source_db_table_name": "sample string 19",
"delivery_name": "sample string 20",
"delivery_street": "sample string 21",
"delivery_city": "sample string 22",
"delivery_zip": "sample string 23",
"delivery_db_country_name": "sample string 24",
"reference_back_office": "sample string 25",
"db_payment_method_id": "4e39b396-6149-4725-a793-fa1dcbffeb60",
"id2": 27,
"customer_remarks": "sample string 28",
"bill_to_party": "sample string 29",
"bill_to_contact_id": "7d972048-9e88-4810-a0c4-2c6dea10f539",
"contact_id": "0b77f0c7-f083-4948-a2bb-8ea11470662a",
"article_price_label_id": "00af3c80-9083-49b6-bea4-c5685cd42526",
"db_language_id": "79c311e2-2c93-4468-8323-5bb8c00fbdcd",
"invoice_status_id": "e505aedc-bde8-48d7-bf79-edf1747fc2dc",
"invoice_status_name": "sample string 35",
"discount_group_id": "3377b80c-bfef-4d0f-aff7-787155cc3532",
"discount": 37.0,
"email": "sample string 38",
"invoice_number": "sample string 39",
"bill_to_company_id": "b645d8ad-5597-4509-b5d8-1d2cfd1540d1",
"dateutc_confirmation": "2026-11-03T06:14:04.1118669+00:00",
"modified_dateutc": "2026-11-03T06:14:04.1118669+00:00",
"invoice_details": [
{
"id": "314479a7-63ac-4b06-a6a4-3241c5afeb79",
"invoice_id": "5ac759ff-9d23-44c0-8cab-f0aeda34f600",
"article_id": "da94fdcc-51e3-47dc-9282-a8be8b77918d",
"article_name": "sample string 4",
"article_description": "sample string 5",
"article_code": "sample string 6",
"line_num": 7,
"quantity_decimal": 9.0,
"article_price": 10.0,
"discount": 11.0,
"vat_rate": 12.0,
"vat_value": 13.0,
"total_vat": 14.0,
"total_line": 15.0,
"total_line_with_vat": 16.0,
"source_db_table_name": "sample string 17",
"source_id_in_table": "ef62273b-39f1-4cff-b790-d8be1d5e5bf9",
"serial_number": "sample string 19",
"no_warranty_reason": "sample string 20",
"is_under_warranty": true,
"discount_percentage": 22.0,
"cost_price": 23.0,
"company_vat_id": "c42514a6-0026-42aa-af11-b362fc3b9e1c",
"company_vat_code": "sample string 25",
"modified_dateutc": "2026-11-03T06:14:04.1118669+00:00"
},
{
"id": "314479a7-63ac-4b06-a6a4-3241c5afeb79",
"invoice_id": "5ac759ff-9d23-44c0-8cab-f0aeda34f600",
"article_id": "da94fdcc-51e3-47dc-9282-a8be8b77918d",
"article_name": "sample string 4",
"article_description": "sample string 5",
"article_code": "sample string 6",
"line_num": 7,
"quantity_decimal": 9.0,
"article_price": 10.0,
"discount": 11.0,
"vat_rate": 12.0,
"vat_value": 13.0,
"total_vat": 14.0,
"total_line": 15.0,
"total_line_with_vat": 16.0,
"source_db_table_name": "sample string 17",
"source_id_in_table": "ef62273b-39f1-4cff-b790-d8be1d5e5bf9",
"serial_number": "sample string 19",
"no_warranty_reason": "sample string 20",
"is_under_warranty": true,
"discount_percentage": 22.0,
"cost_price": 23.0,
"company_vat_id": "c42514a6-0026-42aa-af11-b362fc3b9e1c",
"company_vat_code": "sample string 25",
"modified_dateutc": "2026-11-03T06:14:04.1118669+00:00"
}
],
"db_payment_method_name": "sample string 43",
"db_payment_method_pm": "sample string 44"
}